package com.yeejoin.amos.maintenance.business.dao.mapper;

import com.yeejoin.amos.maintenance.business.entity.mybatis.TaskworkBo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 作业活动
 */
public interface TaskworkMapper {

    Integer save(TaskworkBo taskworkBo);

    Integer update(TaskworkBo taskworkBo);

    TaskworkBo getById(Long id);

    List<TaskworkBo> listByMap(Map<String, Object> map);

    Long countByMap(Map<String, Object> map);

    Long countByTypeAndDeptId(@Param("type") String type, @Param("departmentId") String departmentId);

	Long countViolateState(@Param("type") String code, @Param("departmentId")String deptId);

}
